# coding: utf-8

"""
    VMware Aria Automation Assembler / Service Broker API

    A multi-cloud API for Cloud Automation Services  The APIs that list collections of resources also support OData like implementation. Below query params can be used across Assembler / Service Broker entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/catalog/api/items?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/catalog/api/items?$top=10&$skip=2```  3. `page` and `size` - page used in conjunction with `$size` helps in pagination of resources.      ```/catalog/api/items?page=0&size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /catalog/api/items?$filter=startswith(name, 'Act')     /catalog/api/items?$filter=toupper(name) eq 'ACTIVATE'     /catalog/api/items?$filter=substringof('renameVM', name)     /catalog/api/items?$filter=name eq 'ABCD'  # noqa: E501

    OpenAPI spec version: 2020-08-25
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponseDefault(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'supported_apis': 'list[CatalogAboutSupportedApis]',
        'latest_api_version': 'str'
    }

    attribute_map = {
        'supported_apis': 'supportedApis',
        'latest_api_version': 'latestApiVersion'
    }

    def __init__(self, supported_apis=None, latest_api_version=None):  # noqa: E501
        """InlineResponseDefault - a model defined in Swagger"""  # noqa: E501
        self._supported_apis = None
        self._latest_api_version = None
        self.discriminator = None
        self.supported_apis = supported_apis
        self.latest_api_version = latest_api_version

    @property
    def supported_apis(self):
        """Gets the supported_apis of this InlineResponseDefault.  # noqa: E501

        A collection of all currently supported api versions.  # noqa: E501

        :return: The supported_apis of this InlineResponseDefault.  # noqa: E501
        :rtype: list[CatalogAboutSupportedApis]
        """
        return self._supported_apis

    @supported_apis.setter
    def supported_apis(self, supported_apis):
        """Sets the supported_apis of this InlineResponseDefault.

        A collection of all currently supported api versions.  # noqa: E501

        :param supported_apis: The supported_apis of this InlineResponseDefault.  # noqa: E501
        :type: list[CatalogAboutSupportedApis]
        """
        if supported_apis is None:
            raise ValueError("Invalid value for `supported_apis`, must not be `None`")  # noqa: E501

        self._supported_apis = supported_apis

    @property
    def latest_api_version(self):
        """Gets the latest_api_version of this InlineResponseDefault.  # noqa: E501

        The latest version of the API in yyyy-MM-dd format (UTC).  # noqa: E501

        :return: The latest_api_version of this InlineResponseDefault.  # noqa: E501
        :rtype: str
        """
        return self._latest_api_version

    @latest_api_version.setter
    def latest_api_version(self, latest_api_version):
        """Sets the latest_api_version of this InlineResponseDefault.

        The latest version of the API in yyyy-MM-dd format (UTC).  # noqa: E501

        :param latest_api_version: The latest_api_version of this InlineResponseDefault.  # noqa: E501
        :type: str
        """
        if latest_api_version is None:
            raise ValueError("Invalid value for `latest_api_version`, must not be `None`")  # noqa: E501

        self._latest_api_version = latest_api_version

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponseDefault, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponseDefault):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
